P_F_1 struc
dd ?
P_F_1 ends
P_F_2 struc
dd ?
P_F_2 ends

WARM_REBOOT_VECTOR_SEG	EQU	40H 
WARM_REBOOT_VECTOR_OFF	EQU	67H 

info_s	STRUC
psd_flags	DD	?
psd_version	DD	?
psd_hmte	DD	?
psd_pParmString	DD	?
psd_IRQ_IPI	DD	?
psd_IRQ_LSI	DD	?
psd_IRQ_SPI	DD	?
info_s	ENDS
PSD_KERNEL_PIC	EQU	10000000H   
PSD_ADV_INT_MODE	EQU	20000000H   
PSD_INSTALLED	EQU	40000000H   
PSD_INITIALIZED	EQU	80000000H   
PSD_INSTALL	EQU	00000000H   

install_s	STRUC
install_pPSDHlpRouter	DB	SIZE P_F_2 DUP (?)
install_pParmString	DD	?
install_pPSDPLMA	DD	?
install_sizePLMA	DD	?
install_s	ENDS
PSD_DEINSTALL	EQU	00000001H   
PSD_INIT	EQU	00000002H   

init_s	STRUC
init_flags	DD	?
init_version	DD	?
init_s	ENDS
INIT_GLOBAL_IRQ_ACCESS	EQU	00000001H   
INIT_USE_FPERR_TRAP	EQU	00000002H   
INIT_EOI_IRQ13_ON_CPU0	EQU	00000004H   
INIT_TIMER_CPU0	EQU	00000008H   
INIT_TIMER_CPU0_SET	EQU	00000010H   
PSD_PROC_INIT	EQU	00000003H   
PSD_START_PROC	EQU	00000004H   
PSD_GET_NUM_OF_PROCS	EQU	00000005H   
PSD_GEN_IPI	EQU	00000006H   
PSD_END_IPI	EQU	00000007H   
PSD_PORT_IO	EQU	00000008H   

port_io_s	STRUC
port_io_port	DD	?
port_io_data	DD	?
port_io_flags	DD	?
port_io_s	ENDS
IO_READ_BYTE	EQU	0000H               
IO_READ_WORD	EQU	0001H               
IO_READ_DWORD	EQU	0002H               
IO_WRITE_BYTE	EQU	0003H               
IO_WRITE_WORD	EQU	0004H               
IO_WRITE_DWORD	EQU	0005H               
IO_FLAGMASK	EQU	0007H               
PSD_IRQ_MASK	EQU	00000009H   

psd_irq_s	STRUC
psd_irq_flags	DD	?
psd_irq_data	DD	?
psd_irq_procnum	DD	?
psd_irq_s	ENDS
PSD_IRQ_REG	EQU	0000000AH   
PSD_IRQ_EOI	EQU	0000000BH   
IRQ_MASK	EQU	00000001H   
IRQ_UNMASK	EQU	00000002H   
IRQ_GETMASK	EQU	00000004H   
IRQ_NEWMASK	EQU	00000010H   
IRQ_READ_IRR	EQU	00000100H   
IRQ_READ_ISR	EQU	00000200H   
PSD_APP_COMM	EQU	0000000CH   
PSD_SET_ADV_INT_MODE	EQU	0000000DH   
PSD_SET_PROC_STATE	EQU	0000000EH   
PROC_STATE_IDLE	EQU	00000000H   
PROC_STATE_BUSY	EQU	00000001H   
PSD_QUERY_SYSTEM_TIMER	EQU	0000000FH   

psd_qrytmr_s	STRUC
psd_qrytmr_qw_ulLo_psd	DD	?
psd_qrytmr_qw_ulHi_psd	DD	?
psd_qrytmr_pqwTmr	DD	?
psd_qrytmr_s	ENDS
PSD_SET_SYSTEM_TIMER	EQU	00000010H   

psd_settmr_s	STRUC
psd_settmr_NewRollOver	DD	?
psd_settmr_pqwTmrRollover	DD	?
psd_settmr_s	ENDS
PSD_RESET_MODE	EQU	00000011H   
PSD_ICTRACE_START	EQU	00000012H   
PSDHLP_VMALLOC	EQU	00000000H   

vmalloc_s	STRUC
vmalloc_addr	DD	?
vmalloc_cbsize	DD	?
vmalloc_flags	DD	?
vmalloc_s	ENDS
VMALLOC_FIXED	EQU	00000001H   
VMALLOC_CONTIG	EQU	00000002H   
VMALLOC_LOCSPECIFIC	EQU	00000004H   
VMALLOC_PHYS	EQU	00000008H   
VMALLOC_1M	EQU	00000010H   
VMALLOC_FLAGMASK	EQU	0000001fH   
PSDHLP_VMFREE	EQU	00000001H   
PSDHLP_SET_IRQ	EQU	00000002H   

set_irq_s	STRUC
set_irq_irq	DW	?
set_irq_flags	DW	?
set_irq_vector	DD	?
set_irq_handler	DB	SIZE P_F_2 DUP (?)
set_irq_s	ENDS
IRQf_IPI	EQU	0020H                     
IRQf_LSI	EQU	0040H                     
IRQf_SPI	EQU	0080H                     
PSDHLP_CALL_REAL_MODE	EQU	00000003H   

call_real_mode_s	STRUC
call_real_mode_function	DD	?
call_real_mode_pdata	DD	?
call_real_mode_s	ENDS
PSDHLP_VMLINTOPHYS	EQU	00000004H   
PSDHLP_ADJ_PG_RANGES	EQU	00000005H   

pagerange_s	STRUC
pagerange_lastframe	DD	?
pagerange_firstframe	DD	?
pagerange_s	ENDS

adj_pg_ranges_s	STRUC
adj_pg_ranges_pprt	DD	?
adj_pg_ranges_nranges	DD	?
adj_pg_ranges_s	ENDS
