/**************************************************************************
 *
 * SOURCE FILE NAME = CMDPHDR.H
 *
 * DESCRIPTIVE NAME = ADD command line parser
 *                    Command Parser Top Level Include file
 *
 * Copyright : COPYRIGHT IBM CORPORATION, 1991, 1992
 *             LICENSED MATERIAL - PROGRAM PROPERTY OF IBM
 *             REFER TO COPYRIGHT INSTRUCTION FORM#G120-2083
 *             RESTRICTED MATERIALS OF IBM
 *             IBM CONFIDENTIAL
 *
 * VERSION = V2.0
 *
 * DATE
 *
 * DESCRIPTION :
 *
 * Purpose: This file is automatically included in the files
 *          which generate the parser tables:
 *
 *            CMDPDSKT.C - Command Table for Diskette ADDs
 *            CMDPDISK.C - Command Table for ST-506 DASD ADDs
 *            CMDPSCSI.C - Command Table for SCSI ADDs
 *
 * FUNCTIONS  :
 *
 *
 *
 *
 *
 *
 *
 * NOTES
 *
 *
 * STRUCTURES
 *
 * EXTERNAL REFERENCES
 *
 *
 *
 * EXTERNAL FUNCTIONS
 *
 * CHANGE ACTIVITY =
 *   DATE      FLAG        APAR   CHANGE DESCRIPTION
 *   --------  ----------  -----  --------------------------------------
 *   mm/dd/yy  @VR.MPPPXX  XXXXX  XXXXXXX
 *
 *
 *
 *
 *
 ****************************************************************************/

#include "cmdparse.h"
#include "cmdpdefs.h"

/*
**  external references resolved in related C file.
*/

extern   CC            cc;
extern   USHORT        outbuf_len;
extern   OPTIONTABLE   opttable;
extern   PBYTE         poutbuf;
