;***************************************************************************  
;                                                                             
;  Module Name: CONCB.H                                                       
;                                                                             
;  OS/2 Multimedia Extensions Connection Control Block Definitions file       
;                                                                             
;  Copyright (c) International Business Machines Corporation 1994             
;                         All Rights Reserved                                 
;                                                                             
;***************************************************************************  
;**********************************************
;*
;* CONCB - Connection Control Block
;*
;*       This data structure represents either
;*       the target or source connector information.
;*       Used to make a connection.
;*
;*********************************************  

CONCB	STRUC
concb_ulStructLength	DD	?
concb_hid	DD	?
concb_spcbkey	DB	SIZE SPCBKEY DUP (?)
concb_ulFlags	DD	?
concb_hstreamAssoc	DD	?  ;  Probably don't need any more!   
concb_hstream	DD	?
concb_pdcb	DD	?
concb_pevcb	DD	?
concb_pevfn	DD	?
concb_pMediaHeader	DD	?
concb_pTrackHeader	DD	?
concb_ulConnectorType	DD	?
concb_ulConnectorIndex	DD	?
concb_hnetwork	DD	?
concb_usUniqueId	DW	?
concb_usReserved0	DW	?
CONCB	ENDS
;  XLATON   
