/**************************************************************************
 *
 * SOURCE FILE NAME = CMDPROTO.H
 *
 * DESCRIPTIVE NAME = ADD command line parser
 *                    C prototypes for Command Parser internal functions
 *
 * Copyright : COPYRIGHT IBM CORPORATION, 1991, 1992
 *             LICENSED MATERIAL - PROGRAM PROPERTY OF IBM
 *             REFER TO COPYRIGHT INSTRUCTION FORM#G120-2083
 *             RESTRICTED MATERIALS OF IBM
 *             IBM CONFIDENTIAL
 *
 * VERSION = V2.0
 *
 * DATE
 *
 * DESCRIPTION :
 *
 * Purpose:
 *
 *
 *
 *
 * FUNCTIONS  :
 *
 *
 *
 *
 *
 *
 *
 * NOTES
 *
 *
 * STRUCTURES
 *
 * EXTERNAL REFERENCES
 *
 *
 *
 * EXTERNAL FUNCTIONS
 *
 * CHANGE ACTIVITY =
 *   DATE      FLAG        APAR   CHANGE DESCRIPTION
 *   --------  ----------  -----  --------------------------------------
 *   mm/dd/yy  @VR.MPPPXX  XXXXX  XXXXXXX
 *
 *
 *
 *
 *
 ****************************************************************************/

/*
**  Command_Parser local function - PROTOTYPES
*/

#ifndef STATIC
  #define STATIC static
#endif

STATIC VOID NEAR Insert_End_Token();
STATIC BOOL NEAR Locate_First_Slash();
STATIC INT  NEAR strlen(CHAR FAR *);
STATIC BOOL NEAR strncmp(CHAR FAR *,CHAR FAR *,INT);
BOOL NEAR Parse_Option_Value();
STATIC VOID NEAR Skip_Over_Blanks();
STATIC VOID NEAR char_parser();
STATIC VOID NEAR d_parser();
STATIC VOID NEAR dd_parser();
STATIC VOID NEAR hh_parser();
STATIC VOID NEAR hhhh_parser();
STATIC VOID NEAR format_parser();
STATIC VOID NEAR scsi_id_parser();
STATIC VOID NEAR geometry_parser();
STATIC VOID NEAR chgline_parser();
STATIC BOOL NEAR Insert_Token();
STATIC BOOL NEAR Locate_Next_Slash();
STATIC BOOL NEAR Validate_State_Index(USHORT);
STATIC BOOL NEAR HH_Char_To_Byte();

